Bug 981833 - nrattach.c does not actually attach netrom.
nrattach.c does not actually attach netrom.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ax25-tools (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 02:21 EDT by Cathryn Mataga
Modified: 2015-04-21 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: ax25-tools-0.0.10-0.11.rc2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-18 05:31:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Actually start interfaces with nrattach (399 bytes, patch)
2014-07-09 01:51 EDT, Peter McNabb
no flags Details | Diff
Build fix patch. (1.54 KB, patch)
2015-03-24 14:04 EDT, Jaroslav Škarvada
no flags Details | Diff
Proposed fix (344 bytes, patch)
2015-03-24 14:07 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Cathryn Mataga 2013-07-06 02:21:13 EDT
Description of problem:
nrattach is disabled

Version-Release number of selected component (if applicable):


How reproducible:
Attempt to use nrattach.  It attaches the ip to the same netrom port over and over. 

Steps to Reproduce:
1. edit /etc/ax25/nrports and add in 
netrom KE6I-10 BERK 236 Berkeley

2. nrattach -i 10.0.0.1 netrom
Do this multiple times. 
3.NET/ROM port netrom bound to device nr0



Actual results:
nr0 is repeated for each attempt.

Expected results:
nr0 should count up to nr1, nr2, nr3

Additional info:

This bit of code here '#ifdef notdef' -- breaks nrattach.c.  Why was this put in?  Basically without this I believe it should work correctly.  I compiled another version and the problem went away. 


#ifdef  notdef
        if (!startiface(dev, hp))
                return 1;
#endif
Comment 1 Fedora End Of Life 2013-12-21 09:15:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:04:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Peter McNabb 2014-07-09 01:51:07 EDT
Created attachment 916629 [details]
Actually start interfaces with nrattach

This is still an issue in Fedora 20/21
Comment 4 Randall "Randy" Berry 2014-10-27 16:31:22 EDT
Having trouble with this. I've applied the patch to get rid of the bad code, but I can't build it. I get a automake error when building in any release using mock. 

configure.ac:10: error: required file './compile' not found

configure.ac:10: AC_PROG_CC

Spec: http://dp67.fedorapeople.org/pkgs/SPEC/ax25-tools.spec

SRPM: http://dp67.fedorapeople.org/pkgs/SRPMS/ax25-tools-0.0.10-0.7.rc2.fc20.src.rpm

Mock Build Log: http://dp67.fedorapeople.org/logs/ax25-tools-build.log

Any suggestions?

Thanks.
Comment 5 Randall "Randy" Berry 2014-10-27 16:33:37 EDT
Sorry, bad link, 

Spec: http://dp67.fedorapeople.org/pkgs/SPECS/ax25-tools.spec
Comment 7 Jaroslav Škarvada 2015-03-24 13:41:10 EDT
Ping

Upstream already fixed it few years ago:
http://www.linux-ax25.org/cvsweb/ax25-tools/netrom/nrattach.c.diff?r1=1.3;r2=1.4;f=h

Changelog entry:
> Fix for a problem I introduced in 2005.
> Thanks to Bernard <f6bvp> for reporting this problem.

Please fix it in fedora.
Comment 8 Jaroslav Škarvada 2015-03-24 14:04:16 EDT
Created attachment 1005926 [details]
Build fix patch.

(In reply to Randall "Randy" Berry from comment #4)
I built it OK for rawhide, but I also had to add this patch.
Comment 9 Jaroslav Škarvada 2015-03-24 14:07:21 EDT
Created attachment 1005927 [details]
Proposed fix

And finally for reference attaching patch I used for fixing @subj of this bug. It is probably same as patches added previously - I just defuzzified the upstream patch to apply cleanly.
Comment 10 Jaroslav Škarvada 2015-04-01 05:16:00 EDT
Hi Randy, could you rebuild the package with the attached patches? If you don't have time, I will be able to do it for you, just let me know (I am in proven packager group), or I can also help you to co-maintain this package.
Comment 11 Randall "Randy" Berry 2015-04-05 17:58:17 EDT
(In reply to Jaroslav Škarvada from comment #10)
> Hi Randy, could you rebuild the package with the attached patches? If you
> don't have time, I will be able to do it for you, just let me know (I am in
> proven packager group), or I can also help you to co-maintain this package.

Jaroslav,
If you can please go ahead and rebuild it.. I can rebuild it locally using the patch but I'm doing something wrong and can't get it to build on the build system. I'm a bit rusty. I'll figure it out just have to research. Thanks.
Comment 12 Jaroslav Škarvada 2015-04-07 04:31:00 EDT
(In reply to Randall "Randy" Berry from comment #11)
Ok, thanks, NP, taking the BZ. I also asked for explicit commit rights.
Comment 13 Fedora Update System 2015-04-07 04:46:09 EDT
ax25-tools-0.0.10-0.11.rc2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ax25-tools-0.0.10-0.11.rc2.fc22
Comment 14 Fedora Update System 2015-04-07 04:47:41 EDT
ax25-tools-0.0.10-0.11.rc2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ax25-tools-0.0.10-0.11.rc2.fc21
Comment 15 Fedora Update System 2015-04-07 04:48:06 EDT
ax25-tools-0.0.10-0.11.rc2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ax25-tools-0.0.10-0.11.rc2.fc20
Comment 16 Fedora Update System 2015-04-07 13:09:21 EDT
Package ax25-tools-0.0.10-0.11.rc2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ax25-tools-0.0.10-0.11.rc2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5669/ax25-tools-0.0.10-0.11.rc2.fc22
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2015-04-18 05:31:33 EDT
ax25-tools-0.0.10-0.11.rc2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-04-18 05:49:33 EDT
ax25-tools-0.0.10-0.11.rc2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-04-21 15:22:20 EDT
ax25-tools-0.0.10-0.11.rc2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.